import vega from 'vega';
import vegaLite from 'vega-lite';
import vl from 'vega-lite-api';
import { Handler } from 'vega-tooltip';
import { config } from './config';
import { getData } from './getData';
import { viz } from './viz';
import { viz01 } from './viz01';

vl.register(vega, vegaLite, {
  view: { renderer: 'svg' },
  init: view => { view.tooltip(new Handler().call); }
});

const run = async () => {
  const marks = viz
    .data(await getData())
    //.scale({ name: 'xscale', range: 'window.innerWidth'})
    .width(window.innerWidth)
    .height(window.innerHeight)
    .autosize({ type: 'fit', contains: 'padding' })
    .config(config);
  
  document.body.appendChild(await marks.render());
  
//   const marks01 = viz01
//     .data(await getData())
//     .width(window.innerWidth)
//     .height(window.innerHeight)
//     .autosize({ type: 'fit', contains: 'padding' })
//     .config(config);
  
//   document.body.appendChild(await marks01.render());
};
run();